import './App.css';
import { useUsers } from './Users.hooks'

function User({ name }) {
  return <li style={{ padding: '10px' }}>{name}</li>;
}

// ユーザー情報の表示を担当するコンポーネント
function Users() {
  const { users, setInputText, submit, addCounter } = useUsers();

  const userList = users.map((user) => {
    return <User key={user} name={user} />;
  });

  const handleSubmit = (event) => {
    event.preventDefault();
    submit();
  };

  const handleChange = (event) => {
    setInputText(event.target.value);
  };

  return (
    <div className="App">
      <ul>{userList}</ul>
      <form onSubmit={handleSubmit}>
        <input type="text" onChange={handleChange} />
        <button type="submit">追加</button>
      </form>
      <button onClick={() => addCounter()}>更新</button>
    </div>
  );
}

export default Users;
