// Routerの読み込み
import { BrowserRouter as Router, Routes, Route, Link } from 'react-router-dom';
import Users from './Users';

// `/`のときの表示
function Top() {
  return <div>Top</div>;
}

function App() {
  return (
    <Router>
      {/* ページ上部にナビゲーションリンクを設置 */}
      <nav>
        <ul>
          <li>
            <Link to="/">Top</Link>
          </li>
          <li>
            <Link to="/users">Users</Link>
          </li>
        </ul>
      </nav>
      <Routes>
        {/* /users の時に表示するコンポーネントを設定 */}
        <Route path="/users" element={<Users />} />
        {/* / の時に表示するコンポーネントを設定 */}
        <Route path="/" element={<Top />} />
      </Routes>
    </Router>
  );
}

export default App;
